<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Personaislr{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO personaislr (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idpersonaislr,$nombre,$descripcion){
	$sql="UPDATE personaislr SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idpersonaislr='$idpersonaislr'";
	return ejecutarConsulta($sql);
}
public function desactivar($idpersonaislr){
	$sql="UPDATE personaislr SET condicion='0' WHERE idpersonaislr='$idpersonaislr'";
	return ejecutarConsulta($sql);
}
public function activar($idpersonaislr){
	$sql="UPDATE personaislr SET condicion='1' WHERE idpersonaislr='$idpersonaislr'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idpersonaislr){
	$sql="SELECT * FROM personaislr WHERE idpersonaislr='$idpersonaislr'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM personaislr";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM personaislr WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
